Incompatible runner: sln2008?

My environment:
Developer Machine an x64 - Windows XP 64 -running Visual Studio 2008 with VisualSVN add in installed
Server machine an x32 processor - Windows XP:
Running the Visual SVN Subversion server - runs Subversion under Apache in Windows
Team City running here as well
Visual Studio 2008 also installed here

Everything seems to be connected okay. When I check in a new version from by development machine to Subversion, Team City sees the event.

My problems is that the agent I have defined as sln2008 is seen as incompatible and it says "Incompatible runner: sln2008".

It also tells me:

This agent supports the following build runners:

simpleRunner: Simple command execution
Ant: Runner for Ant build.xml files
MSBuild: Runner for MSBuild files
NAnt: Runner for NAnt build files
sln2003: Microsoft Visual Studio .NET 2003 solution file build runner
sln2005: Runner for Microsoft Visual Studio 2005 solution files
Duplicator: Runner for gathering IntelliJ IDEA duplicates results
Inspection: Runner for gathering IntelliJ IDEA inspection results
Ipr: Runner for IntelliJ IDEA project (.ipr) files
Maven2: Runner for Maven build file
rcodedup: Runner for gathering C# duplicates results


Where is sln2008 on that list?

Any thoughts on what might causing this?

Thanks,

Lynn

Edited by: Lynn Evans on Mar 22, 2008 12:16 AM

Edited by: Lynn Evans on Mar 22, 2008 12:35 AM

Edited by: Lynn Evans on Mar 22, 2008 12:56 AM

Edited by: Lynn Evans on Mar 22, 2008 4:07 PM

4 comments

Hello,
Could you please create an issue in our tracker for that problem at
http://www.jetbrains.net/tracker

Thanks!
--
Eugene Petrenko
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"

My environment:
Developer Machine an x64 - Windows XP 64 -running Visual Studio 2008
with VisualSVN installed
Server machine an x32 processor - Windows XP:
Running the Visual SVN Subversion server - runs Subversion under
Apache in Windows



0

I had the same issue, I installed .net 3.5 and restarted the server and all was well.

0

Hello,
Do you have VS2008 on the agent machine? What is the server version? Have
you restarted build agent?

Thanks!
--
Eugene Petrenko
JetBrains, Inc
http://www.jetbrains.com
"Develop with pleasure!"


0

Hello Eugene,

I just experienced the same problem.

The other days I downloaded TeamCity Professional Edition (which is free) and installed it on "fresh" server. On that server, there were

- Windows Serevr 2008 R2 x64 operating system (please notice - neither IIS role nor .NET Framework 3.5 SP1 feature were installed on it)

- VisualSVN Server 2.0.6 (which runs Subversion 1.6.5 under Apache).

Then I created first project and assigned in its build configuration (on default agent) that Runner is "sln2008". When I tried to run the build, it complained that this build configuration is incompatible.

I looked into default agent's requirements - there was only requirement ".NET Framework 2.0" and the status says "exists". IMHO, if I choose Runner as "sln2008" then it probably means that .NET  Framework 3.0/3.5 should be required not .NET Framework 2.0. So I went to OS's Server Manager and aditionally installed .NET Fremework 3.5 feature. Now build is OK :-)

As you can see this bug not a real issue - I just would like you to know that the problem still exists.

Best regards, Vladimir

0

Please sign in to leave a comment.